Generate Card Secure Details Code

post/api/cards/{cardId}/pan-token

Generate a single-use code to enable the subsequent retrieval of the card's sensitive details including full PAN, expiry, CVV2 and embossedName.

Refer to the fetching secure card information guide for more information.

The callback URL responds with an object containing the card's sensitive details.

{
"cvv2": "442",
"pan": "1234123412345678",
"expiry": "202501",
"embossedName": "DOE/JOHN"
}

Request

Path Parameters

  • cardIdstringrequired

    ID of card for which to generate a code

Response

Successful operation.

Body application/json

  • tokenIdstringrequired

    One-time use token for card detail retrieval

  • callbackUrlstringrequired

    One-time URL which can be called to retrieve the card's secure details.

    This URL requires no authentication.